<app-loading *ngIf="isLoadingPage"></app-loading>
<div class="btnAcrossPageName">
  <mb-button
    mbButtonSize="MEDIUM"
    mbButtonAvailableStyle="IMPORT"
    *ngIf="objFunction.import"
    (click)="doImportData()"
    mbButtonText="{{'common.upload.upload' | translate}}"
  >
  </mb-button>
</div>

<div class="content__item content__item--border bg__content--default" (keyup.enter)="doSearch(1)">
  <search-form #searchForm [moduleName]='MODULENAME' (submitEvent)='doSearch(1)' [functionCode]="functionCode" ></search-form>

  <div nz-row class="btn__row">
    <div nz-col nzSpan="8"></div>

    <div nz-col nzSpan="8">
      <div style="text-align: center">
        <mb-button
          class="staff__research__btn__search"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)="doSearch(1)"
          mbButtonText="{{'staffManager.label.search' | translate}}"
        ></mb-button>
      </div>
    </div>
    <div nz-col nzSpan="8"></div>
  </div>
</div>

<div class="search__result">
    <mb-table-wrap>
        <div class='headerTableSelect' *ngIf='objFunction.approve'>
            <mb-button
                (click)='approveAll()'
                mbButtonSize='SMALL'
                mbButtonAvailableStyle='PRIMARY'
                mbButtonText="{{'staffManager.label.approveAll' | translate}}"
                [mbButtonBgColor]="isDisabledApproveAllBtn ? btnDisableColor : ''"
                [mbIsDisable]="isDisabledApproveAllBtn"
            ></mb-button>
            <mb-button
                *ngIf='selectedCheckBoxNumber > 0'
                (click)='approveBankAccountList()'
                mbButtonSize='SMALL'
                mbButtonAvailableStyle='PRIMARY'
                mbButtonText="{{'staffManager.label.approve' | translate}}"
            >
            </mb-button>
            <mb-button
                *ngIf='selectedCheckBoxNumber > 0'
                (click)='openRejectByList()'
                mbButtonSize='MEDIUM'
                mbButtonAvailableStyle='BtnCancelHasBorder'
                mbButtonText="{{'staffManager.label.reject' | translate}}"
            >
            </mb-button>
        </div>
        <div *ngIf='selectedCheckBoxNumber > 0'>
            {{'staffManager.label.selected' | translate}}:
            <div style='display: inline-block'>{{selectedCheckBoxNumber}}</div>
        </div>
        <mb-table
            (changePageNum)='doSearch($event)'
            [tableConfig]='tableConfig' [tableData]='searchResult'
        ></mb-table>
    </mb-table-wrap>
</div>

<app-import-common [showContent]='isImportData'
                   (onCloseModal)='doCloseImport($event)'
                   [urlApiDownloadTemp]='urlApiDownloadTemp'
                   [urlApiImport]='urlApiImport'
                   (loadPage)="onLoadPage($event)"
>
</app-import-common>

<ng-template #actionTmpl let-status='status' let-draftBankAccountId='draftBankAccountId'>
  <em nz-icon
     class="menu__item--btn"
     nz-button
     [nzDisabled]="status === CONSTANT_STATUS.IS_APPROVE"
     [ngStyle]="status === CONSTANT_STATUS.IS_APPROVE ? {cursor: 'not-allowed', color: disabledColor}: {}"
     nzType="more"
     nzTheme="outline"
     nzTrigger="click"
     nz-dropdown
     [nzDropdownMenu]="menu"
  ></em>
    <nz-dropdown-menu #menu='nzDropdownMenu'>
      <ul nz-menu style="width: 150px !important; padding: 0">
            <li
                *ngIf='objFunction.approve'
                nz-menu-item
                style="padding: 0 20px"
                [nzDisabled]='status === CONSTANT_STATUS.IS_APPROVE'
                (click)="approveBankAccount(draftBankAccountId)"
            >
              <div class="menu__item">
                <em nz-icon nzType="check" nzTheme="outline" style="margin-right: 10px"></em>
                <span>{{'staffManager.label.approve' | translate}}</span>
              </div>
            </li>
            <li
                *ngIf='objFunction.approve'
                nz-menu-item
                style="padding: 0 20px"
                (click)="openRejectById(draftBankAccountId)"
                [nzDisabled]='status === CONSTANT_STATUS.IS_APPROVE || status === CONSTANT_STATUS.IS_NOT_APPROVE'
            >
              <div class="menu__item">
                <em nz-icon nzType="close" nzTheme="outline" style="margin-right: 10px"></em>
                <span>{{'staffManager.label.isNotApprove' | translate}}</span>
              </div>
            </li>
            <li nz-menu-item [nzDisabled]='status === CONSTANT_STATUS.IS_APPROVE'
                *ngIf='objFunction.delete'
                style="padding: 0 20px"
                (click)="confirm(draftBankAccountId)"
            >
              <div class="menu__item">
                <em nz-icon nzType="delete" nzTheme="outline" style="margin-right: 10px"></em>
                <span>{{'staffManager.table.action.delete' | translate}}</span>
              </div>
            </li>
        </ul>
    </nz-dropdown-menu>
</ng-template>

<ng-template #flagStatusTmpl let-flagStatus='flagStatus'>
    <nz-tag [nzColor]="'magenta'" *ngIf='flagStatus === CONSTANT_FLAG_STATUS.RETIRED || !flagStatus'>{{ getFlagStatus(flagStatus ?? 0)}}</nz-tag>
    <nz-tag [nzColor]="'green'" *ngIf='flagStatus === CONSTANT_FLAG_STATUS.IS_WORKING'>{{ getFlagStatus(flagStatus) }}</nz-tag>
</ng-template>

<ng-template #statusTmpl let-status='status'>
    <nz-tag class='initialStatus' [nzColor]="tagInitializeColor" *ngIf='status === CONSTANT_STATUS.IS_INITIALIZATION || !status'>{{ getStatus(status ?? CONSTANT_STATUS.IS_INITIALIZATION)}}</nz-tag>
    <nz-tag class='approveStatus' [nzColor]="tagApprovedColor" *ngIf='status === CONSTANT_STATUS.IS_APPROVE'>{{ getStatus(status) }}</nz-tag>
    <nz-tag class='notApproveStatus' [nzColor]="tagNotApprovedColor" *ngIf='status === CONSTANT_STATUS.IS_NOT_APPROVE'>{{ getStatus(status) }}</nz-tag>
</ng-template>

<ng-template #selectTmpl let-status='status' let-draftBankAccountId='draftBankAccountId'>
    <label
        nz-checkbox
        (nzCheckedChange)="onCheckBoxChange($event, draftBankAccountId)"
        [ngModel]="draftBankAccountSet.has(draftBankAccountId)"
        [nzValue]="!!draftBankAccountId"
        [disabled]='status === CONSTANT_STATUS.IS_APPROVE'
    ></label>
</ng-template>

<ng-template #isPaymentAccountTmpl let-isPaymentAccount='isPaymentAccount'>
    <em *ngIf='isPaymentAccount === CONSTANT_BANK_ACCOUNT.IS_PAYMENT_ACCOUNT' nz-icon nzType='check'></em>
</ng-template>

<app-reject-common
    [urlRejectById]="urlRejectById"
    [urlRejectByList]="urlRejectByList"
    [isReject]="isReject"
    [listDraftId]="listDraftId"
    [isRejectList]="isRejectList"
    [id]="id"
    (onCloseModal)="doCloseReject()"
    (resetListDraftId)="resetListDraftId()"
>
</app-reject-common>

<ng-template #attachFileTmpl let-attachFileList='attachFileList' >
  <div *ngFor="let file of attachFileList">
    <a class="attach-file" (click)="doDownloadAttach(file); $event.stopPropagation();">{{file.fileName}}</a>
  </div>
</ng-template>
